apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-04-24T11:15:13.663357542Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    original-ID: vm-3364
    original-name: esx8.0-win11-x86-64-efi
  resourceVersion: '158559657'
  name: esx8.0-win11-x86-64-efi
  uid: 2903d9e9-19cd-4a27-b1a7-e205f5d9fb17
  creationTimestamp: '2025-04-15T11:48:09Z'
  generation: 5
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:original-ID': {}
            'f:original-name': {}
          'f:labels':
            .: {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:preference':
            .: {}
            'f:kind': {}
            'f:name': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                'f:features':
                  .: {}
                  'f:acpi': {}
                  'f:smm':
                    .: {}
                    'f:enabled': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:efi':
                      .: {}
                      'f:secureBoot': {}
                  'f:serial': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2025-04-15T11:48:09Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
        'f:spec':
          'f:preference':
            'f:revisionName': {}
      manager: virt-controller
      operation: Update
      time: '2025-04-15T11:48:10Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:running': {}
      manager: virt-api
      operation: Update
      time: '2025-04-24T11:15:13Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:created': {}
          'f:desiredGeneration': {}
          'f:observedGeneration': {}
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:volumeSnapshotStatuses': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-04-24T11:15:15Z'
  namespace: openshift-mtv
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    migration: 5c733241-5b32-40bb-a8b9-e9b128bcb62f
    plan: f8301657-aa8d-425a-9f7e-6bf8fd01d3a4
    vmID: vm-3364
spec:
  preference:
    kind: virtualmachineclusterpreference
    name: windows.11
    revisionName: esx8.0-win11-x86-64-efi-windows.11-v1beta1-9e42325d-c494-466a-84f9-fc367e392b72-3
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: esx8.0-win11-x86-64-efi
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 2
        devices:
          disks:
            - bootOrder: 1
              disk:
                bus: virtio
              name: vol-0
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - bridge: {}
              macAddress: '00:50:56:a0:e4:c5'
              model: virtio
              name: net-0
        features:
          acpi: {}
          smm:
            enabled: true
        firmware:
          bootloader:
            efi:
              secureBoot: true
          serial: 4220fe7d-e362-78f7-6742-e55f7c56e766
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 4Gi
        resources: {}
      networks:
        - multus:
            networkName: openshift-mtv/mybridge
          name: net-0
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: copy-of-test-windows-guest-matrix-vm-3364-4bgln
status:
  conditions:
    - lastProbeTime: '2025-04-24T11:15:14Z'
      lastTransitionTime: '2025-04-24T11:15:14Z'
      message: virt-launcher pod has not yet been scheduled
      reason: PodNotExists
      status: 'False'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: '2025-04-24T11:15:14Z'
      message: no default storage class found
      reason: FailedBackendStorageCreate
      status: 'False'
      type: Synchronized
  created: true
  desiredGeneration: 5
  observedGeneration: 5
  printableStatus: Starting
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: false
      name: vol-0
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [hostpath-csi-local-1] [vol-0]'
